// Type definitions for facebook-nodejs-business-sdk 15.0
// Project: https://github.com/facebook/facebook-nodejs-business-sdk
// Definitions by: Viktor Daiev <https://github.com/DefinitelyTyped>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped

export const FacebookAdsApi: typeof import('./src/api').default;
export const FacebookAdsApiBatch: typeof import('./src/api-batch').default;
export const AbstractCrudObject: typeof import('./src/abstract-crud-object').default;
export const APIRequest: typeof import('./src/api-request').default;
export const APIResponse: typeof import('./src/api-response').default;
export const CrashReporter: typeof import('./src/crash-reporter').default;
export const Content: typeof import('./src/objects/serverside/content').default;
export const CustomData: typeof import('./src/objects/serverside/custom-data').default;
export const EventRequest: typeof import('./src/objects/serverside/event-request').default;
export const EventResponse: typeof import('./src/objects/serverside/event-response').default;
export const ServerEvent: typeof import('./src/objects/serverside/server-event').default;
export const UserData: typeof import('./src/objects/serverside/user-data').default;
export const DeliveryCategory: typeof import('./src/objects/serverside/delivery-category').default;
export const HttpMethod: typeof import('./src/objects/serverside/http-method').default;
export const HttpServiceClientConfig: typeof import('./src/objects/serverside/http-service-client-config').default;
export const HttpServiceInterface: typeof import('./src/objects/serverside/http-service-interface').default;
export const BatchProcessor: typeof import('./src/objects/serverside/batch-processor').default;
export const ServerSideUtils: typeof import('./src/objects/serverside/utils').default;
export const SignalUserData: typeof import('./src/objects/signal/user-data').default;
export const SignalContent: typeof import('./src/objects/signal/content').default;
export const SignalCustomData: typeof import('./src/objects/signal/custom-data').default;
export const SignalEvent: typeof import('./src/objects/signal/event').default;
export const SignalEventRequest: typeof import('./src/objects/signal/event-request').default;
export const AREffectsBatchStatus: typeof import('./src/objects/ar-effects-batch-status').default;
export const Ad: typeof import('./src/objects/ad').default;
export const AdAccount: typeof import('./src/objects/ad-account').default;
export const AdAccountAdRulesHistory: typeof import('./src/objects/ad-account-ad-rules-history').default;
export const AdAccountAdVolume: typeof import('./src/objects/ad-account-ad-volume').default;
export const AdAccountCustomAudience: typeof import('./src/objects/ad-account-custom-audience').default;
export const AdAccountDefaultDestination: typeof import('./src/objects/ad-account-default-destination').default;
export const AdAccountDefaultObjective: typeof import('./src/objects/ad-account-default-objective').default;
export const AdAccountDeliveryEstimate: typeof import('./src/objects/ad-account-delivery-estimate').default;
export const AdAccountIosFourteenCampaignLimits: typeof import('./src/objects/ad-account-ios-fourteen-campaign-limits').default;
export const AdAccountMatchedSearchApplicationsEdgeData: typeof import('./src/objects/ad-account-matched-search-applications-edge-data').default;
export const AdAccountMaxBid: typeof import('./src/objects/ad-account-max-bid').default;
export const AdAccountPromotableObjects: typeof import('./src/objects/ad-account-promotable-objects').default;
export const AdAccountReachEstimate: typeof import('./src/objects/ad-account-reach-estimate').default;
export const AdAccountRecommendedCamapaignBudget: typeof import('./src/objects/ad-account-recommended-camapaign-budget').default;
export const AdAccountSubscribedApps: typeof import('./src/objects/ad-account-subscribed-apps').default;
export const AdAccountTargetingUnified: typeof import('./src/objects/ad-account-targeting-unified').default;
export const AdAccountTrackingData: typeof import('./src/objects/ad-account-tracking-data').default;
export const AdAccountUser: typeof import('./src/objects/ad-account-user').default;
export const AdActivity: typeof import('./src/objects/ad-activity').default;
export const AdAssetFeedSpec: typeof import('./src/objects/ad-asset-feed-spec').default;
export const AdAssetFeedSpecAssetLabel: typeof import('./src/objects/ad-asset-feed-spec-asset-label').default;
export const AdAssetFeedSpecBody: typeof import('./src/objects/ad-asset-feed-spec-body').default;
export const AdAssetFeedSpecCaption: typeof import('./src/objects/ad-asset-feed-spec-caption').default;
export const AdAssetFeedSpecDescription: typeof import('./src/objects/ad-asset-feed-spec-description').default;
export const AdAssetFeedSpecGroupRule: typeof import('./src/objects/ad-asset-feed-spec-group-rule').default;
export const AdAssetFeedSpecImage: typeof import('./src/objects/ad-asset-feed-spec-image').default;
export const AdAssetFeedSpecLinkURL: typeof import('./src/objects/ad-asset-feed-spec-link-url').default;
export const AdAssetFeedSpecTitle: typeof import('./src/objects/ad-asset-feed-spec-title').default;
export const AdAssetFeedSpecVideo: typeof import('./src/objects/ad-asset-feed-spec-video').default;
export const AdAsyncRequest: typeof import('./src/objects/ad-async-request').default;
export const AdAsyncRequestSet: typeof import('./src/objects/ad-async-request-set').default;
export const AdAsyncRequestSetNotificationResult: typeof import('./src/objects/ad-async-request-set-notification-result').default;
export const AdBidAdjustments: typeof import('./src/objects/ad-bid-adjustments').default;
export const AdCampaignActivity: typeof import('./src/objects/ad-campaign-activity').default;
export const AdCampaignBidConstraint: typeof import('./src/objects/ad-campaign-bid-constraint').default;
export const AdCampaignDeliveryEstimate: typeof import('./src/objects/ad-campaign-delivery-estimate').default;
export const AdCampaignDeliveryStatsUnsupportedReasons: typeof import('./src/objects/ad-campaign-delivery-stats-unsupported-reasons').default;
export const AdCampaignFrequencyControlSpecs: typeof import('./src/objects/ad-campaign-frequency-control-specs').default;
export const AdCampaignIssuesInfo: typeof import('./src/objects/ad-campaign-issues-info').default;
export const AdCampaignLearningStageInfo: typeof import('./src/objects/ad-campaign-learning-stage-info').default;
export const AdCampaignOptimizationEvent: typeof import('./src/objects/ad-campaign-optimization-event').default;
export const AdCampaignPacedBidInfo: typeof import('./src/objects/ad-campaign-paced-bid-info').default;
export const AdCreative: typeof import('./src/objects/ad-creative').default;
export const AdCreativeAdDisclaimer: typeof import('./src/objects/ad-creative-ad-disclaimer').default;
export const AdCreativeCollectionThumbnailInfo: typeof import('./src/objects/ad-creative-collection-thumbnail-info').default;
export const AdCreativeInsights: typeof import('./src/objects/ad-creative-insights').default;
export const AdCreativeInteractiveComponentsSpec: typeof import('./src/objects/ad-creative-interactive-components-spec').default;
export const AdCreativeLinkData: typeof import('./src/objects/ad-creative-link-data').default;
export const AdCreativeLinkDataAppLinkSpec: typeof import('./src/objects/ad-creative-link-data-app-link-spec').default;
export const AdCreativeLinkDataCallToAction: typeof import('./src/objects/ad-creative-link-data-call-to-action').default;
export const AdCreativeLinkDataCallToActionValue: typeof import('./src/objects/ad-creative-link-data-call-to-action-value').default;
export const AdCreativeLinkDataChildAttachment: typeof import('./src/objects/ad-creative-link-data-child-attachment').default;
export const AdCreativeLinkDataImageLayerSpec: typeof import('./src/objects/ad-creative-link-data-image-layer-spec').default;
export const AdCreativeLinkDataImageOverlaySpec: typeof import('./src/objects/ad-creative-link-data-image-overlay-spec').default;
export const AdCreativeLinkDataSponsorshipInfoSpec: typeof import('./src/objects/ad-creative-link-data-sponsorship-info-spec').default;
export const AdCreativeLinkDataTemplateVideoSpec: typeof import('./src/objects/ad-creative-link-data-template-video-spec').default;
export const AdCreativeObjectStorySpec: typeof import('./src/objects/ad-creative-object-story-spec').default;
export const AdCreativeOmnichannelLinkSpec: typeof import('./src/objects/ad-creative-omnichannel-link-spec').default;
export const AdCreativePhotoData: typeof import('./src/objects/ad-creative-photo-data').default;
export const AdCreativePhotoDataMediaElements: typeof import('./src/objects/ad-creative-photo-data-media-elements').default;
export const AdCreativePlaceData: typeof import('./src/objects/ad-creative-place-data').default;
export const AdCreativePlatformCustomization: typeof import('./src/objects/ad-creative-platform-customization').default;
export const AdCreativePortraitCustomizations: typeof import('./src/objects/ad-creative-portrait-customizations').default;
export const AdCreativePostClickConfiguration: typeof import('./src/objects/ad-creative-post-click-configuration').default;
export const AdCreativeRecommenderSettings: typeof import('./src/objects/ad-creative-recommender-settings').default;
export const AdCreativeStaticFallbackSpec: typeof import('./src/objects/ad-creative-static-fallback-spec').default;
export const AdCreativeTemplateURLSpec: typeof import('./src/objects/ad-creative-template-url-spec').default;
export const AdCreativeTextData: typeof import('./src/objects/ad-creative-text-data').default;
export const AdCreativeVideoData: typeof import('./src/objects/ad-creative-video-data').default;
export const AdCustomizationRuleSpec: typeof import('./src/objects/ad-customization-rule-spec').default;
export const AdDynamicCreative: typeof import('./src/objects/ad-dynamic-creative').default;
export const AdEntityTargetSpend: typeof import('./src/objects/ad-entity-target-spend').default;
export const AdImage: typeof import('./src/objects/ad-image').default;
export const AdKeywords: typeof import('./src/objects/ad-keywords').default;
export const AdLabel: typeof import('./src/objects/ad-label').default;
export const AdMonetizationProperty: typeof import('./src/objects/ad-monetization-property').default;
export const AdNetworkAnalyticsAsyncQueryResult: typeof import('./src/objects/ad-network-analytics-async-query-result').default;
export const AdNetworkAnalyticsSyncQueryResult: typeof import('./src/objects/ad-network-analytics-sync-query-result').default;
export const AdPlacePageSet: typeof import('./src/objects/ad-place-page-set').default;
export const AdPlacePageSetMetadata: typeof import('./src/objects/ad-place-page-set-metadata').default;
export const AdPlacement: typeof import('./src/objects/ad-placement').default;
export const AdPreview: typeof import('./src/objects/ad-preview').default;
export const AdPromotedObject: typeof import('./src/objects/ad-promoted-object').default;
export const AdRecommendation: typeof import('./src/objects/ad-recommendation').default;
export const AdRecommendationData: typeof import('./src/objects/ad-recommendation-data').default;
export const AdReportRun: typeof import('./src/objects/ad-report-run').default;
export const AdRule: typeof import('./src/objects/ad-rule').default;
export const AdRuleEvaluationSpec: typeof import('./src/objects/ad-rule-evaluation-spec').default;
export const AdRuleExecutionOptions: typeof import('./src/objects/ad-rule-execution-options').default;
export const AdRuleExecutionSpec: typeof import('./src/objects/ad-rule-execution-spec').default;
export const AdRuleFilters: typeof import('./src/objects/ad-rule-filters').default;
export const AdRuleHistory: typeof import('./src/objects/ad-rule-history').default;
export const AdRuleHistoryResult: typeof import('./src/objects/ad-rule-history-result').default;
export const AdRuleHistoryResultAction: typeof import('./src/objects/ad-rule-history-result-action').default;
export const AdRuleSchedule: typeof import('./src/objects/ad-rule-schedule').default;
export const AdRuleScheduleSpec: typeof import('./src/objects/ad-rule-schedule-spec').default;
export const AdRuleTrigger: typeof import('./src/objects/ad-rule-trigger').default;
export const AdSet: typeof import('./src/objects/ad-set').default;
export const AdStudy: typeof import('./src/objects/ad-study').default;
export const AdStudyCell: typeof import('./src/objects/ad-study-cell').default;
export const AdStudyObjective: typeof import('./src/objects/ad-study-objective').default;
export const AdStudyObjectiveID: typeof import('./src/objects/ad-study-objective-id').default;
export const AdStudyObjectiveOffsiteDatasets: typeof import('./src/objects/ad-study-objective-offsite-datasets').default;
export const AdVideo: typeof import('./src/objects/ad-video').default;
export const AdgroupIssuesInfo: typeof import('./src/objects/adgroup-issues-info').default;
export const AdgroupMetadata: typeof import('./src/objects/adgroup-metadata').default;
export const AdgroupPlacementSpecificReviewFeedback: typeof import('./src/objects/adgroup-placement-specific-review-feedback').default;
export const AdgroupReviewFeedback: typeof import('./src/objects/adgroup-review-feedback').default;
export const AdsActionStats: typeof import('./src/objects/ads-action-stats').default;
export const AdsImageCrops: typeof import('./src/objects/ads-image-crops').default;
export const AdsInsights: typeof import('./src/objects/ads-insights').default;
export const AdsOptimalDeliveryGrowthOpportunity: typeof import('./src/objects/ads-optimal-delivery-growth-opportunity').default;
export const AdsPixel: typeof import('./src/objects/ads-pixel').default;
export const AdsPixelStats: typeof import('./src/objects/ads-pixel-stats').default;
export const AdsPixelStatsResult: typeof import('./src/objects/ads-pixel-stats-result').default;
export const AgeRange: typeof import('./src/objects/age-range').default;
export const AgencyClientDeclaration: typeof import('./src/objects/agency-client-declaration').default;
export const Album: typeof import('./src/objects/album').default;
export const AndroidAppLink: typeof import('./src/objects/android-app-link').default;
export const AppRequest: typeof import('./src/objects/app-request').default;
export const AppRequestFormerRecipient: typeof import('./src/objects/app-request-former-recipient').default;
export const Application: typeof import('./src/objects/application').default;
export const AssignedUser: typeof import('./src/objects/assigned-user').default;
export const AsyncRequest: typeof import('./src/objects/async-request').default;
export const AsyncSession: typeof import('./src/objects/async-session').default;
export const AttributionSpec: typeof import('./src/objects/attribution-spec').default;
export const AudiencePermissionForActions: typeof import('./src/objects/audience-permission-for-actions').default;
export const AudioCopyright: typeof import('./src/objects/audio-copyright').default;
export const AutomotiveModel: typeof import('./src/objects/automotive-model').default;
export const BrandSafetyBlockListUsage: typeof import('./src/objects/brand-safety-block-list-usage').default;
export const BroadTargetingCategories: typeof import('./src/objects/broad-targeting-categories').default;
export const Business: typeof import('./src/objects/business').default;
export const BusinessAdAccountRequest: typeof import('./src/objects/business-ad-account-request').default;
export const BusinessApplicationRequest: typeof import('./src/objects/business-application-request').default;
export const BusinessAssetGroup: typeof import('./src/objects/business-asset-group').default;
export const BusinessAssetSharingAgreement: typeof import('./src/objects/business-asset-sharing-agreement').default;
export const BusinessImage: typeof import('./src/objects/business-image').default;
export const BusinessManagedPartnerEligibility: typeof import('./src/objects/business-managed-partner-eligibility').default;
export const BusinessOwnedObjectOnBehalfOfRequest: typeof import('./src/objects/business-owned-object-on-behalf-of-request').default;
export const BusinessPageRequest: typeof import('./src/objects/business-page-request').default;
export const BusinessPartnerPremiumOptions: typeof import('./src/objects/business-partner-premium-options').default;
export const BusinessRoleRequest: typeof import('./src/objects/business-role-request').default;
export const BusinessUser: typeof import('./src/objects/business-user').default;
export const CPASAdvertiserPartnershipRecommendation: typeof import('./src/objects/cpas-advertiser-partnership-recommendation').default;
export const CPASBusinessSetupConfig: typeof import('./src/objects/cpas-business-setup-config').default;
export const CPASCollaborationRequest: typeof import('./src/objects/cpas-collaboration-request').default;
export const CPASMerchantConfig: typeof import('./src/objects/cpas-merchant-config').default;
export const CRMAddress: typeof import('./src/objects/crm-address').default;
export const Campaign: typeof import('./src/objects/campaign').default;
export const CampaignGroupBrandConfiguration: typeof import('./src/objects/campaign-group-brand-configuration').default;
export const CampaignGroupCollaborativeAdsPartnerInfo: typeof import('./src/objects/campaign-group-collaborative-ads-partner-info').default;
export const Canvas: typeof import('./src/objects/canvas').default;
export const CanvasAdSettings: typeof import('./src/objects/canvas-ad-settings').default;
export const CanvasBodyElement: typeof import('./src/objects/canvas-body-element').default;
export const CanvasCollectionThumbnail: typeof import('./src/objects/canvas-collection-thumbnail').default;
export const CanvasDynamicSetting: typeof import('./src/objects/canvas-dynamic-setting').default;
export const CatalogBasedTargeting: typeof import('./src/objects/catalog-based-targeting').default;
export const CatalogItemAppLinks: typeof import('./src/objects/catalog-item-app-links').default;
export const CatalogItemAppealStatus: typeof import('./src/objects/catalog-item-appeal-status').default;
export const CatalogItemChannelsToIntegrityStatus: typeof import('./src/objects/catalog-item-channels-to-integrity-status').default;
export const CatalogSubVerticalList: typeof import('./src/objects/catalog-sub-vertical-list').default;
export const ChatPlugin: typeof import('./src/objects/chat-plugin').default;
export const CheckBatchRequestStatus: typeof import('./src/objects/check-batch-request-status').default;
export const ChildEvent: typeof import('./src/objects/child-event').default;
export const CloudGame: typeof import('./src/objects/cloud-game').default;
export const CollaborativeAdsPartnerInfoListItem: typeof import('./src/objects/collaborative-ads-partner-info-list-item').default;
export const CollaborativeAdsShareSettings: typeof import('./src/objects/collaborative-ads-share-settings').default;
export const Comment: typeof import('./src/objects/comment').default;
export const CommerceMerchantSettings: typeof import('./src/objects/commerce-merchant-settings').default;
export const CommerceMerchantSettingsSetupStatus: typeof import('./src/objects/commerce-merchant-settings-setup-status').default;
export const CommerceOrder: typeof import('./src/objects/commerce-order').default;
export const CommerceOrderTransactionDetail: typeof import('./src/objects/commerce-order-transaction-detail').default;
export const CommercePayout: typeof import('./src/objects/commerce-payout').default;
export const CommerceSettings: typeof import('./src/objects/commerce-settings').default;
export const ConnectionsTargeting: typeof import('./src/objects/connections-targeting').default;
export const ContextualBundlingSpec: typeof import('./src/objects/contextual-bundling-spec').default;
export const ConversionActionQuery: typeof import('./src/objects/conversion-action-query').default;
export const CopyrightAudioAsset: typeof import('./src/objects/copyright-audio-asset').default;
export const CopyrightReferenceContainer: typeof import('./src/objects/copyright-reference-container').default;
export const CoverPhoto: typeof import('./src/objects/cover-photo').default;
export const CreativeHistory: typeof import('./src/objects/creative-history').default;
export const CreditCard: typeof import('./src/objects/credit-card').default;
export const CreditPartitionActionOptions: typeof import('./src/objects/credit-partition-action-options').default;
export const Currency: typeof import('./src/objects/currency').default;
export const CurrencyAmount: typeof import('./src/objects/currency-amount').default;
export const CustomAudience: typeof import('./src/objects/custom-audience').default;
export const CustomAudienceAdAccount: typeof import('./src/objects/custom-audience-ad-account').default;
export const CustomAudienceDataSource: typeof import('./src/objects/custom-audience-data-source').default;
export const CustomAudienceSession: typeof import('./src/objects/custom-audience-session').default;
export const CustomAudienceSharingStatus: typeof import('./src/objects/custom-audience-sharing-status').default;
export const CustomAudienceStatus: typeof import('./src/objects/custom-audience-status').default;
export const CustomAudiencesTOS: typeof import('./src/objects/custom-audiences-tos').default;
export const CustomAudiencesharedAccountInfo: typeof import('./src/objects/custom-audienceshared-account-info').default;
export const CustomConversion: typeof import('./src/objects/custom-conversion').default;
export const CustomConversionStatsResult: typeof import('./src/objects/custom-conversion-stats-result').default;
export const CustomUserSettings: typeof import('./src/objects/custom-user-settings').default;
export const DACheck: typeof import('./src/objects/da-check').default;
export const DayPart: typeof import('./src/objects/day-part').default;
export const DeliveryCheck: typeof import('./src/objects/delivery-check').default;
export const DeliveryCheckExtraInfo: typeof import('./src/objects/delivery-check-extra-info').default;
export const DeliveryWindow: typeof import('./src/objects/delivery-window').default;
export const Destination: typeof import('./src/objects/destination').default;
export const DestinationCatalogSettings: typeof import('./src/objects/destination-catalog-settings').default;
export const DynamicPostChildAttachment: typeof import('./src/objects/dynamic-post-child-attachment').default;
export const DynamicPriceConfigByDate: typeof import('./src/objects/dynamic-price-config-by-date').default;
export const Engagement: typeof import('./src/objects/engagement').default;
export const EntityAtTextRange: typeof import('./src/objects/entity-at-text-range').default;
export const Event: typeof import('./src/objects/event').default;
export const EventSourceGroup: typeof import('./src/objects/event-source-group').default;
export const Experience: typeof import('./src/objects/experience').default;
export const ExtendedCredit: typeof import('./src/objects/extended-credit').default;
export const ExtendedCreditAllocationConfig: typeof import('./src/objects/extended-credit-allocation-config').default;
export const ExtendedCreditInvoiceGroup: typeof import('./src/objects/extended-credit-invoice-group').default;
export const ExternalEventSource: typeof import('./src/objects/external-event-source').default;
export const FAMEExportConfig: typeof import('./src/objects/fame-export-config').default;
export const FlexibleTargeting: typeof import('./src/objects/flexible-targeting').default;
export const Flight: typeof import('./src/objects/flight').default;
export const FundingSourceDetails: typeof import('./src/objects/funding-source-details').default;
export const FundingSourceDetailsCoupon: typeof import('./src/objects/funding-source-details-coupon').default;
export const FundraiserPersonToCharity: typeof import('./src/objects/fundraiser-person-to-charity').default;
export const GameItem: typeof import('./src/objects/game-item').default;
export const Group: typeof import('./src/objects/group').default;
export const HomeListing: typeof import('./src/objects/home-listing').default;
export const Hotel: typeof import('./src/objects/hotel').default;
export const HotelRoom: typeof import('./src/objects/hotel-room').default;
export const IDName: typeof import('./src/objects/id-name').default;
export const IGBCAdsPermission: typeof import('./src/objects/igbc-ads-permission').default;
export const IGComment: typeof import('./src/objects/ig-comment').default;
export const IGMedia: typeof import('./src/objects/ig-media').default;
export const IGUser: typeof import('./src/objects/ig-user').default;
export const ImageCopyright: typeof import('./src/objects/image-copyright').default;
export const InsightsResult: typeof import('./src/objects/insights-result').default;
export const InstagramInsightsResult: typeof import('./src/objects/instagram-insights-result').default;
export const InstagramInsightsValue: typeof import('./src/objects/instagram-insights-value').default;
export const InstagramUser: typeof import('./src/objects/instagram-user').default;
export const InstantArticle: typeof import('./src/objects/instant-article').default;
export const InstantArticleInsightsQueryResult: typeof import('./src/objects/instant-article-insights-query-result').default;
export const InstantArticlesStats: typeof import('./src/objects/instant-articles-stats').default;
export const IosAppLink: typeof import('./src/objects/ios-app-link').default;
export const JobsJob: typeof import('./src/objects/jobs-job').default;
export const KeyValue: typeof import('./src/objects/key-value').default;
export const Lead: typeof import('./src/objects/lead').default;
export const LeadGenAppointmentBookingInfo: typeof import('./src/objects/lead-gen-appointment-booking-info').default;
export const LeadGenConditionalQuestionsGroupChoices: typeof import('./src/objects/lead-gen-conditional-questions-group-choices').default;
export const LeadGenConditionalQuestionsGroupQuestions: typeof import('./src/objects/lead-gen-conditional-questions-group-questions').default;
export const LeadGenDraftQuestion: typeof import('./src/objects/lead-gen-draft-question').default;
export const LeadGenPostSubmissionCheckResult: typeof import('./src/objects/lead-gen-post-submission-check-result').default;
export const LeadGenQuestion: typeof import('./src/objects/lead-gen-question').default;
export const LeadGenQuestionOption: typeof import('./src/objects/lead-gen-question-option').default;
export const LeadgenForm: typeof import('./src/objects/leadgen-form').default;
export const LifeEvent: typeof import('./src/objects/life-event').default;
export const Link: typeof import('./src/objects/link').default;
export const LiveVideo: typeof import('./src/objects/live-video').default;
export const LiveVideoAdBreakConfig: typeof import('./src/objects/live-video-ad-break-config').default;
export const LiveVideoError: typeof import('./src/objects/live-video-error').default;
export const LiveVideoInputStream: typeof import('./src/objects/live-video-input-stream').default;
export const LiveVideoRecommendedEncoderSettings: typeof import('./src/objects/live-video-recommended-encoder-settings').default;
export const LiveVideoTargeting: typeof import('./src/objects/live-video-targeting').default;
export const LocalServiceBusiness: typeof import('./src/objects/local-service-business').default;
export const Location: typeof import('./src/objects/location').default;
export const LookalikeSpec: typeof import('./src/objects/lookalike-spec').default;
export const MailingAddress: typeof import('./src/objects/mailing-address').default;
export const ManagedPartnerBusiness: typeof import('./src/objects/managed-partner-business').default;
export const MediaFingerprint: typeof import('./src/objects/media-fingerprint').default;
export const MediaTitle: typeof import('./src/objects/media-title').default;
export const MessagingFeatureReview: typeof import('./src/objects/messaging-feature-review').default;
export const MessagingFeatureStatus: typeof import('./src/objects/messaging-feature-status').default;
export const MessengerDestinationPageWelcomeMessage: typeof import('./src/objects/messenger-destination-page-welcome-message').default;
export const MessengerProfile: typeof import('./src/objects/messenger-profile').default;
export const MinimumBudget: typeof import('./src/objects/minimum-budget').default;
export const MusicVideoCopyright: typeof import('./src/objects/music-video-copyright').default;
export const NullNode: typeof import('./src/objects/null-node').default;
export const OfflineConversionDataSet: typeof import('./src/objects/offline-conversion-data-set').default;
export const OfflineConversionDataSetPermissions: typeof import('./src/objects/offline-conversion-data-set-permissions').default;
export const OfflineConversionDataSetUpload: typeof import('./src/objects/offline-conversion-data-set-upload').default;
export const OfflineConversionDataSetUsage: typeof import('./src/objects/offline-conversion-data-set-usage').default;
export const OffsitePixel: typeof import('./src/objects/offsite-pixel').default;
export const OmegaCustomerTrx: typeof import('./src/objects/omega-customer-trx').default;
export const OpenGraphContext: typeof import('./src/objects/open-graph-context').default;
export const OutcomePredictionPoint: typeof import('./src/objects/outcome-prediction-point').default;
export const Page: typeof import('./src/objects/page').default;
export const PageCallToAction: typeof import('./src/objects/page-call-to-action').default;
export const PageCategory: typeof import('./src/objects/page-category').default;
export const PageChangeProposal: typeof import('./src/objects/page-change-proposal').default;
export const PageCommerceEligibility: typeof import('./src/objects/page-commerce-eligibility').default;
export const PageParking: typeof import('./src/objects/page-parking').default;
export const PagePaymentOptions: typeof import('./src/objects/page-payment-options').default;
export const PagePost: typeof import('./src/objects/page-post').default;
export const PagePostExperiment: typeof import('./src/objects/page-post-experiment').default;
export const PageRestaurantServices: typeof import('./src/objects/page-restaurant-services').default;
export const PageRestaurantSpecialties: typeof import('./src/objects/page-restaurant-specialties').default;
export const PageSavedFilter: typeof import('./src/objects/page-saved-filter').default;
export const PageSettings: typeof import('./src/objects/page-settings').default;
export const PageStartInfo: typeof import('./src/objects/page-start-info').default;
export const PageThreadOwner: typeof import('./src/objects/page-thread-owner').default;
export const PageUpcomingChange: typeof import('./src/objects/page-upcoming-change').default;
export const PageUserMessageThreadLabel: typeof import('./src/objects/page-user-message-thread-label').default;
export const PartnerStudy: typeof import('./src/objects/partner-study').default;
export const PaymentEnginePayment: typeof import('./src/objects/payment-engine-payment').default;
export const PaymentPricepoints: typeof import('./src/objects/payment-pricepoints').default;
export const PaymentSubscription: typeof import('./src/objects/payment-subscription').default;
export const Permission: typeof import('./src/objects/permission').default;
export const Persona: typeof import('./src/objects/persona').default;
export const Photo: typeof import('./src/objects/photo').default;
export const Place: typeof import('./src/objects/place').default;
export const PlaceTopic: typeof import('./src/objects/place-topic').default;
export const PlatformImageSource: typeof import('./src/objects/platform-image-source').default;
export const PlayableContent: typeof import('./src/objects/playable-content').default;
export const Post: typeof import('./src/objects/post').default;
export const Privacy: typeof import('./src/objects/privacy').default;
export const PrivateLiftStudyInstance: typeof import('./src/objects/private-lift-study-instance').default;
export const ProductCatalog: typeof import('./src/objects/product-catalog').default;
export const ProductCatalogCategory: typeof import('./src/objects/product-catalog-category').default;
export const ProductCatalogDataSource: typeof import('./src/objects/product-catalog-data-source').default;
export const ProductCatalogDiagnosticGroup: typeof import('./src/objects/product-catalog-diagnostic-group').default;
export const ProductCatalogHotelRoomsBatch: typeof import('./src/objects/product-catalog-hotel-rooms-batch').default;
export const ProductCatalogImageSettings: typeof import('./src/objects/product-catalog-image-settings').default;
export const ProductCatalogImageSettingsOperation: typeof import('./src/objects/product-catalog-image-settings-operation').default;
export const ProductCatalogPricingVariablesBatch: typeof import('./src/objects/product-catalog-pricing-variables-batch').default;
export const ProductCatalogProductSetsBatch: typeof import('./src/objects/product-catalog-product-sets-batch').default;
export const ProductEventStat: typeof import('./src/objects/product-event-stat').default;
export const ProductFeed: typeof import('./src/objects/product-feed').default;
export const ProductFeedMissingFeedItemReplacement: typeof import('./src/objects/product-feed-missing-feed-item-replacement').default;
export const ProductFeedRule: typeof import('./src/objects/product-feed-rule').default;
export const ProductFeedRuleSuggestion: typeof import('./src/objects/product-feed-rule-suggestion').default;
export const ProductFeedSchedule: typeof import('./src/objects/product-feed-schedule').default;
export const ProductFeedUpload: typeof import('./src/objects/product-feed-upload').default;
export const ProductFeedUploadError: typeof import('./src/objects/product-feed-upload-error').default;
export const ProductFeedUploadErrorReport: typeof import('./src/objects/product-feed-upload-error-report').default;
export const ProductFeedUploadErrorSample: typeof import('./src/objects/product-feed-upload-error-sample').default;
export const ProductGroup: typeof import('./src/objects/product-group').default;
export const ProductImage: typeof import('./src/objects/product-image').default;
export const ProductItem: typeof import('./src/objects/product-item').default;
export const ProductItemARData: typeof import('./src/objects/product-item-ar-data').default;
export const ProductItemCommerceInsights: typeof import('./src/objects/product-item-commerce-insights').default;
export const ProductItemError: typeof import('./src/objects/product-item-error').default;
export const ProductItemImporterAddress: typeof import('./src/objects/product-item-importer-address').default;
export const ProductSet: typeof import('./src/objects/product-set').default;
export const ProductSetMetadata: typeof import('./src/objects/product-set-metadata').default;
export const ProductVariant: typeof import('./src/objects/product-variant').default;
export const Profile: typeof import('./src/objects/profile').default;
export const ProfilePictureSource: typeof import('./src/objects/profile-picture-source').default;
export const PublisherBlockList: typeof import('./src/objects/publisher-block-list').default;
export const RTBDynamicPost: typeof import('./src/objects/rtb-dynamic-post').default;
export const RawCustomAudience: typeof import('./src/objects/raw-custom-audience').default;
export const ReachFrequencyActivity: typeof import('./src/objects/reach-frequency-activity').default;
export const ReachFrequencyAdFormat: typeof import('./src/objects/reach-frequency-ad-format').default;
export const ReachFrequencyCurveLowerConfidenceRange: typeof import('./src/objects/reach-frequency-curve-lower-confidence-range').default;
export const ReachFrequencyCurveUpperConfidenceRange: typeof import('./src/objects/reach-frequency-curve-upper-confidence-range').default;
export const ReachFrequencyDayPart: typeof import('./src/objects/reach-frequency-day-part').default;
export const ReachFrequencyEstimatesCurve: typeof import('./src/objects/reach-frequency-estimates-curve').default;
export const ReachFrequencyEstimatesPlacementBreakdown: typeof import('./src/objects/reach-frequency-estimates-placement-breakdown').default;
export const ReachFrequencyPrediction: typeof import('./src/objects/reach-frequency-prediction').default;
export const ReachFrequencySpec: typeof import('./src/objects/reach-frequency-spec').default;
export const Recommendation: typeof import('./src/objects/recommendation').default;
export const RevSharePolicy: typeof import('./src/objects/rev-share-policy').default;
export const RichMediaElement: typeof import('./src/objects/rich-media-element').default;
export const SavedAudience: typeof import('./src/objects/saved-audience').default;
export const SavedMessageResponse: typeof import('./src/objects/saved-message-response').default;
export const SecuritySettings: typeof import('./src/objects/security-settings').default;
export const ShadowIGMediaProductTags: typeof import('./src/objects/shadow-ig-media-product-tags').default;
export const Shop: typeof import('./src/objects/shop').default;
export const SplitTestWinner: typeof import('./src/objects/split-test-winner').default;
export const StoreCatalogSettings: typeof import('./src/objects/store-catalog-settings').default;
export const SystemUser: typeof import('./src/objects/system-user').default;
export const Tab: typeof import('./src/objects/tab').default;
export const Targeting: typeof import('./src/objects/targeting').default;
export const TargetingDynamicRule: typeof import('./src/objects/targeting-dynamic-rule').default;
export const TargetingGeoLocation: typeof import('./src/objects/targeting-geo-location').default;
export const TargetingGeoLocationCity: typeof import('./src/objects/targeting-geo-location-city').default;
export const TargetingGeoLocationCustomLocation: typeof import('./src/objects/targeting-geo-location-custom-location').default;
export const TargetingGeoLocationElectoralDistrict: typeof import('./src/objects/targeting-geo-location-electoral-district').default;
export const TargetingGeoLocationGeoEntities: typeof import('./src/objects/targeting-geo-location-geo-entities').default;
export const TargetingGeoLocationLocationCluster: typeof import('./src/objects/targeting-geo-location-location-cluster').default;
export const TargetingGeoLocationLocationExpansion: typeof import('./src/objects/targeting-geo-location-location-expansion').default;
export const TargetingGeoLocationMarket: typeof import('./src/objects/targeting-geo-location-market').default;
export const TargetingGeoLocationPlace: typeof import('./src/objects/targeting-geo-location-place').default;
export const TargetingGeoLocationPoliticalDistrict: typeof import('./src/objects/targeting-geo-location-political-district').default;
export const TargetingGeoLocationRegion: typeof import('./src/objects/targeting-geo-location-region').default;
export const TargetingGeoLocationZip: typeof import('./src/objects/targeting-geo-location-zip').default;
export const TargetingProductAudienceSpec: typeof import('./src/objects/targeting-product-audience-spec').default;
export const TargetingProductAudienceSubSpec: typeof import('./src/objects/targeting-product-audience-sub-spec').default;
export const TargetingProspectingAudience: typeof import('./src/objects/targeting-prospecting-audience').default;
export const TargetingRelaxation: typeof import('./src/objects/targeting-relaxation').default;
export const TargetingSentenceLine: typeof import('./src/objects/targeting-sentence-line').default;
export const TextWithEntities: typeof import('./src/objects/text-with-entities').default;
export const TrackingAndConversionWithDefaults: typeof import('./src/objects/tracking-and-conversion-with-defaults').default;
export const URL: typeof import('./src/objects/url').default;
export const UnifiedThread: typeof import('./src/objects/unified-thread').default;
export const User: typeof import('./src/objects/user').default;
export const UserCoverPhoto: typeof import('./src/objects/user-cover-photo').default;
export const UserDevice: typeof import('./src/objects/user-device').default;
export const UserIDForApp: typeof import('./src/objects/user-id-for-app').default;
export const UserIDForPage: typeof import('./src/objects/user-id-for-page').default;
export const UserLeadGenDisclaimerResponse: typeof import('./src/objects/user-lead-gen-disclaimer-response').default;
export const UserLeadGenFieldData: typeof import('./src/objects/user-lead-gen-field-data').default;
export const UserPageOneTimeOptInTokenSettings: typeof import('./src/objects/user-page-one-time-opt-in-token-settings').default;
export const UserPaymentMobilePricepoints: typeof import('./src/objects/user-payment-mobile-pricepoints').default;
export const ValueBasedEligibleSource: typeof import('./src/objects/value-based-eligible-source').default;
export const Vehicle: typeof import('./src/objects/vehicle').default;
export const VehicleOffer: typeof import('./src/objects/vehicle-offer').default;
export const VideoCopyright: typeof import('./src/objects/video-copyright').default;
export const VideoCopyrightConditionGroup: typeof import('./src/objects/video-copyright-condition-group').default;
export const VideoCopyrightGeoGate: typeof import('./src/objects/video-copyright-geo-gate').default;
export const VideoCopyrightRule: typeof import('./src/objects/video-copyright-rule').default;
export const VideoCopyrightSegment: typeof import('./src/objects/video-copyright-segment').default;
export const VideoList: typeof import('./src/objects/video-list').default;
export const VideoPoll: typeof import('./src/objects/video-poll').default;
export const VideoThumbnail: typeof import('./src/objects/video-thumbnail').default;
export const VideoUploadLimits: typeof import('./src/objects/video-upload-limits').default;
export const VoipInfo: typeof import('./src/objects/voip-info').default;
export const WebAppLink: typeof import('./src/objects/web-app-link').default;
export const WhatsAppBusinessAccount: typeof import('./src/objects/whats-app-business-account').default;
export const WhatsAppBusinessPreVerifiedPhoneNumber: typeof import('./src/objects/whats-app-business-pre-verified-phone-number').default;
export const WhatsAppBusinessProfile: typeof import('./src/objects/whats-app-business-profile').default;
export const WindowsAppLink: typeof import('./src/objects/windows-app-link').default;
export const WindowsPhoneAppLink: typeof import('./src/objects/windows-phone-app-link').default;
export const WoodhengePurchasedPAYGReceipt: typeof import('./src/objects/woodhenge-purchased-payg-receipt').default;
export const WorkUserFrontline: typeof import('./src/objects/work-user-frontline').default;
